Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.framestore.updater
Class QuantifierRestrictionUpdater

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.framestore.updater.AbstractRestrictionUpdater
          edu.stanford.smi.protegex.owl.model.framestore.updater.QuantifierRestrictionUpdater

All Implemented Interfaces:
  RestrictionUpdater

Direct Known Subclasses:
  AllValuesFromRestrictionUpdater

    public abstract class QuantifierRestrictionUpdater

extends AbstractRestrictionUpdater

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.model.framestore.updater.AbstractRestrictionUpdater
`owlModel`

Method Summary
`protected abstract void` | `clearFiller(OWLQuantifierRestriction restriction)`
`protected void` | `ensureNoSurvivingClsesAreDeleted(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, Collection clses, edu.stanford.smi.protege.model.Cls metaCls)`
`protected Collection` | `getQuantifierClsClses(RDFSClass quantifierClass)`
`protected Collection` | `getSafeClses(Collection base)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.framestore.updater.AbstractRestrictionUpdater
`getDirectRestriction, getDirectRestrictions, removeRestrictions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.framestore.updater.RestrictionUpdater
`copyFacetValuesIntoNamedClass, updateRestrictions`

Method Detail

### ensureNoSurvivingClsesAreDeleted

    protected void ensureNoSurvivingClsesAreDeleted(edu.stanford.smi.protege.model.Cls cls,
                                                    edu.stanford.smi.protege.model.Slot slot,
                                                    Collection clses,
                                                    edu.stanford.smi.protege.model.Cls metaCls)

### clearFiller

    protected abstract void clearFiller(OWLQuantifierRestriction restriction)

### getQuantifierClsClses

    protected Collection getQuantifierClsClses(RDFSClass quantifierClass)

### getSafeClses

    protected Collection getSafeClses(Collection base)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.